Bug 1419603 - Getting undefined method with_interval_and_time_range errors in evm.log
Summary: Getting undefined method with_interval_and_time_range errors in evm.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.7.2
Assignee: James Wong
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u
Depends On: 1397244
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:13 UTC by Satoe Imaishi
Modified: 2020-04-15 15:13 UTC (History)
10 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1397244
Environment:
Last Closed: 2017-04-12 14:37:08 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-02 19:00:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/e51e9dfcc146d2f7546464e8ee1ba3ae9641d052

commit e51e9dfcc146d2f7546464e8ee1ba3ae9641d052
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Dec 5 12:06:08 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 2 13:56:41 2017 -0500

    Merge pull request #12940 from jameswnl/rollup-error
    
    Fix missing method Metric.with_interval_and_time_range
    (cherry picked from commit f46fa371dce36666842abe4b9397b777ccfaf63f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1419603

 app/models/metric/common.rb                   |  4 ++++
 app/models/metric_rollup.rb                   |  4 ----
 app/models/vim_performance_tag_value.rb       | 22 ++++++++++++++--------
 spec/models/vim_performance_tag_value_spec.rb | 27 +++++++++++++++++++++++++++
 4 files changed, 45 insertions(+), 12 deletions(-)
 create mode 100644 spec/models/vim_performance_tag_value_spec.rb

Comment 5 Nandini Chandra 2017-03-28 17:49:28 UTC
Verified in 5.7.2.0

Comment 7 errata-xmlrpc 2017-04-12 14:37:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.